package nl.nikhef.rebus.ftdi;

import java.io.IOException;

public class GPIO extends BusBase {

	public GPIO(MPSSE mpsse) throws IOException {
		super(mpsse);
		mpsse.switchMode(0);
	}

	@Override
	protected void setGPIOChild(int port) throws IOException 
	{
		mpsse.setDataLowByte(outMask & LO_A_MASK, modeMask & LO_A_MASK);
	}

}
